Quicknav Quicknav
Links

- Google Play Developer Console
- Android Developers Blog
- About Android

Android Sites

- Android.com
- Android Developers
- Android Open Source Project

close

- - Get Started
  - Style
  - Patterns
  - Building Blocks
  - Downloads
  - Videos
- - Training
  - API Guides
  - Reference
  - Tools
    - Get the SDK
  - Google Services
- - Google Play
  - Publishing
  - Promoting
  - App Quality
  - Spotlight
  - Open Distribution

## Results

Loading...
Summary: Nested Classes | Methods | Inherited Methods | [Expand All]
public static final class

# Cast.CastOptions

extends Object
implements GoogleApiClient.ApiOptions

java.lang.Object
↳ | com.google.android.gms.cast.Cast.CastOptions

## Class Overview

API configuration parameters for `Cast`. The `Cast.CastOptions.Builder` is used to create an instance of `Cast.CastOptions`.

## Summary

Nested Classes
class | Cast.CastOptions.Builder | A builder to create an instance of `Cast.CastOptions` to set API configuration parameters for `Cast`.

Public Methods
static Cast.CastOptions.Builder | builder(CastDevice castDevice, Cast.Listener castListener) Configures the Cast API to connect to this cast device.

[Expand] Inherited Methods

From class java.lang.Object

Object | clone()
boolean | equals(Object arg0)
void | finalize()
final Class<?> | getClass()
int | hashCode()
final void | notify()
final void | notifyAll()
String | toString()
final void | wait()
final void | wait(long arg0, int arg1)
final void | wait(long arg0)

## Public Methods

#### public static Cast.CastOptions.Builder builder (CastDevice castDevice, Cast.Listener castListener)

Configures the Cast API to connect to this cast device.

##### Parameters

castDevice | The Cast receiver device returned from the MediaRouteProvider.
castListener | The listener for Cast events.

##### Returns

- A builder for the Cast ApiOptions.